#include "BooleanValue.h"

namespace Databoard {
	namespace Value {
		BooleanValue::BooleanValue(Databoard::Type::DataType* dataBoard) : Value(dataBoard)
		{
		}

		BooleanValue::~BooleanValue()
		{
		}

		void BooleanValue::setValue(bool value)
		{
			this->value = value;
		}

		bool BooleanValue::getValue()
		{
			return value;
		}

		std::string BooleanValue::writeOut(int /*indent*/)
		{
			std::string s;

			if(value == true)
			{
				s += "true";
			}
			else
			{
				s += "false";
			}

			return s;
		}

		bool BooleanValue::equals(const Value* other)
		{
			BooleanValue* o = (BooleanValue*)other;

			return (this->value < o->value);

		}
	}
}
