#pragma once

#include "NumberType.h"

#include <string>

#include <climits>

namespace Databoard {
	class Range;

	namespace Type {

		class DATABOARD_API IntegerType : public NumberType {
		public:
			IntegerType();
			IntegerType(std::string unit);
			IntegerType(std::string unit, Range* range);

			virtual ~IntegerType();

			int minValue();
			int maxValue();

			virtual std::string writeOut(int indent = 0);

		protected:
		};
	}
}
