#pragma once

#include "NumberType.h"

#include <string>

#include <climits>

namespace Databoard {
	class Range;

	namespace Type {

		class DATABOARD_API LongType : public NumberType {
		public:
			LongType();
			LongType(std::string unit);
			LongType(std::string unit, Range* range);

			virtual ~LongType();

			long minValue();
			long maxValue();

			virtual std::string writeOut(int indent = 0);

		protected:
		};
	}
}
