package org.simantics.databoard.tests;

import org.simantics.databoard.Bindings;
import org.simantics.databoard.Datatypes;
import org.simantics.databoard.binding.Binding;
import org.simantics.databoard.method.Handshake;
import org.simantics.databoard.method.MethodTypeDefinition;
import org.simantics.databoard.serialization.Serializer;
import org.simantics.databoard.type.Datatype;

public class Jotakin13 {

	public static void main(String[] args) throws Exception {
		
		Binding b = Bindings.getBinding( Handshake.class );
		Serializer s = Bindings.getSerializer( b );
		
		Handshake x = (Handshake) b.createDefault();
		System.out.println( b.toString(x) );
		
		byte[] data = s.serialize(x);
		x = (Handshake) s.deserialize(data);
		
		System.out.println( b.toString(x) );
		
	}
	
}
