#pragma once

#include "DataType.h"

#include <string>

namespace Databoard {
	class Range;

	namespace Type {

		class DATABOARD_API NumberType : public DataType {
		public:
			NumberType();
			NumberType(std::string unit);
			NumberType(std::string unit, Range* range);
			virtual ~NumberType() = 0;

			std::string getUnit();
			void setUnit(std::string unit);
			Range* getRange();
			void setRange(Range* value);

			std::string writeOut(int indent);

		protected:

			std::string unit;
			Range* range;
		};
	}
}
