#pragma once

#include "Value.h"

#include <vector>

namespace Databoard {

	namespace Type {
		//class RecordType;
		class DataType;
	}

	namespace Value {

		class DATABOARD_API RecordValue : public Value {
		public:
			RecordValue(Databoard::Type::DataType* dataBoard);
			virtual ~RecordValue();


			void setField(int fieldIndex, Value* value);

			int count();
			Value* getField(int fieldIndex);

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);

			virtual std::string isValid();

		protected:

			int fieldCount;
			Value** fields;

		};
	}
}
