#include "TypeParser.h"

#include "DataBoardRepository.h"

namespace Databoard {
	namespace Type {

		DataBoardRepository* parse(std::string fileName)
		{
			DataBoardRepository* dataBoardRepository = new DataBoardRepository();

			if(dataBoardRepository->open(fileName) == false)
			{
				delete dataBoardRepository;

				dataBoardRepository = NULL;
			}

			return dataBoardRepository;
		}

		void free(DataBoardRepository* dataBoardRepository)
		{
			if(dataBoardRepository != NULL)
			{
				delete dataBoardRepository;
			}
		}
	}
}
