#pragma once

#include "Value.h"

#include <string>

namespace Databoard {
	namespace Value {

		class DATABOARD_API UnionValue : public Value {
		public:
			UnionValue(Databoard::Type::DataType* dataBoard);
			virtual ~UnionValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);
			virtual std::string isValid();

			int getTag();
			Value* getValue();
			void setValue(int tag, Value* value);

		protected:

			int tag;
			Value* value;

		};
	}
}
