#pragma once

#include "DataBoardAPI.h"

#include <string>

namespace Databoard {

	namespace Type {
		class DataType;
	}

	namespace Value {

		class DATABOARD_API Value {
		public:
			Value(Databoard::Type::DataType* dataBoard);
			virtual ~Value();

			void* getObject();
			Databoard::Type::DataType* type();
			void freeType();

			virtual std::string writeOut(int indent = 0);

			virtual bool equals(const Value* other);

			virtual std::string isValid();

		protected:
			void* object;

			Databoard::Type::DataType* dataBoard;

		};
	}
}
