#pragma once

#include "DataBoardAPI.h"

#include <string>

namespace Databoard {

	namespace Type {
		class DataType;
		class DataBoardRepository;
	}

	namespace Value {

		class Value;
		class DataValueRepository;

		DATABOARD_API void parse(std::string fileName, Databoard::Value::DataValueRepository* &dataValueRepository, Databoard::Type::DataBoardRepository* dataBoardRepository);
		DATABOARD_API Databoard::Value::Value* parse(std::string fileName, Databoard::Type::DataType* dataType);

		DATABOARD_API void free(DataValueRepository* dataValueRepository);
	}
}
