#include "VariantValue.h"

#include "Constants.h"

#include "DataType.h"

namespace Databoard {
	namespace Value {
		VariantValue::VariantValue(Databoard::Type::DataType* dataBoard) : Value(dataBoard)
		{
			value = NULL;
		}

		VariantValue::~VariantValue()
		{
			if(value != NULL)
			{
				value->freeType();

				delete value;
				value = 0;
			}
		}

		void VariantValue::setValue(Value* value)
		{
			this->value = value;
		}

		Value* VariantValue::getValue()
		{
			return value;
		}

		std::string VariantValue::writeOut(int /*indent*/)
		{
			std::string s;

			if(value != NULL)
			{
				s += value->writeOut();

				s += " : ";

				s += value->type()->writeOut();

			}

			return s;
		}

		std::string VariantValue::isValid()
		{
			std::string retValue = STR_EMPTY;

			return retValue;
		}

		bool VariantValue::equals(const Value* other)
		{
			VariantValue* o = (VariantValue*)other;



			return (this->value < o->value);

		}
	}
}
